Loading...
Searching...
No Matches
ISLaplacian< DiffScheme > Struct Template Reference

Laplacian defined in index space, using various center-difference stencils. More...

`#include <openvdb/math/Operators.h>`

## Static Public Member Functions

template<typename Accessor >
static Accessor::ValueType | result (const Accessor &grid, const Coord &ijk)
template<typename StencilT >
static StencilT::ValueType | result (const StencilT &stencil)

## Detailed Description

template<DDScheme DiffScheme>
struct openvdb::v11_0::math::ISLaplacian< DiffScheme >

Laplacian defined in index space, using various center-difference stencils.

## Member Function Documentation

## result() [1/2]

template<DDScheme DiffScheme>
template<typename Accessor >

static Accessor::ValueType result | ( | const Accessor & | grid,
|  | const Coord & | ijk
| ) |  |

static

## result() [2/2]

template<DDScheme DiffScheme>
template<typename StencilT >

static StencilT::ValueType result | ( | const StencilT & | stencil | ) |

static